> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve permissions for many rows

> Returns a map of rowId to the caller's effective permissions for that row.

Prefer this over calling the single-row endpoint per row when rendering a table.



## OpenAPI

````yaml post /table/rows/permissions
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /table/rows/permissions:
    post:
      tags:
        - Tables
      summary: Retrieve permissions for many rows
      description: >-
        Returns a map of rowId to the caller's effective permissions for that
        row.


        Prefer this over calling the single-row endpoint per row when rendering
        a table.
      operationId: getRowPermissionsBatch
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: string
                  minItems: 1
                  maxItems: 500
              required:
                - data
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    additionalProperties:
                      type: object
                      properties:
                        role:
                          type:
                            - string
                            - 'null'
                          enum:
                            - owner
                            - admin
                            - member
                            - editor
                            - viewer
                            - null
                        isWorkspaceAccess:
                          type: boolean
                          example: false
                        referencingDocuments:
                          type: array
                          items:
                            type: string
                        isRowOwner:
                          type: boolean
                        canEdit:
                          type: boolean
                          example: false
                        canDelete:
                          type: boolean
                          example: false
                      required:
                        - role
                        - isWorkspaceAccess
                        - referencingDocuments
                        - isRowOwner
                        - canEdit
                        - canDelete
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````